Audio & Video Chat
You need the Manage Settings permission to manage Audio & Video Chat.
Audio & Video Chat- Audio & Video Chat ManageGET livechat/audioVideoChatConfig- Get a single Audio & Video ChatPOST livechat/audioVideoChatConfig:disable- Disable the Audio & Video ChatPOST livechat/audioVideoChatConfig:enable- Enable the Audio & Video ChatPUT livechat/audioVideoChatConfig- Update the Audio & Video Chat
Audio & Video Chat JSON Format
Audio & Video Chat is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
isEnabled |
bool | Whether this audio & video chat is enabled or not. |
isAutomaticallyRecordingAudioVideoChatsEnabled |
bool | Whether the automatically recording of this audio & video chat is enabled or not. |
recordingServerUrl |
string | The URL of recording server. |
Get a single Audio & Video Chat
GET livechat/audioVideoChatConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/audioVideoChatConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false,
"isAutomaticallyRecordingAudioVideoChatsEnabled": false,
"recordingServerUrl": "http://google.com"
}
Disable the Audio & Video Chat
POST livechat/audioVideoChatConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/audioVideoChatConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false,
"isAutomaticallyRecordingAudioVideoChatsEnabled": false,
"recordingServerUrl": "http://google.com"
}
Enable the Audio & Video Chat
POST livechat/audioVideoChatConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/audioVideoChatConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true,
"isAutomaticallyRecordingAudioVideoChatsEnabled": false,
"recordingServerUrl": "http://google.com"
}
Update the Audio & Video Chat
PUT livechat/audioVideoChatConfig
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
isEnabled |
bool | body | no | Whether this audio & video chat is enabled or not. |
isAutomaticallyRecordingAudioVideoChatsEnabled |
bool | body | no | Whether the automatically recording of this audio & video chat is enabled or not. |
recordingServerUrl |
string | body | yes | The URL of recording server. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/audioVideoChatConfig \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"isEnabled":false,"isAutomaticallyRecordingAudioVideoChatsEnabled":false,"recordingServerUrl":"http://google.com"}'
Response:
HTTP/1.1 200 OK
{
"isEnabled": false,
"isAutomaticallyRecordingAudioVideoChatsEnabled": false,
"recordingServerUrl": "http://google.com"
}